Method: projects.locations.instances.mpc.signers.create

Registers a new participant entity capable of holding key shares.

HTTP request

POST https://mpc.googleapis.com/v1alpha1/{parent=projects/*/locations/*/instances/*}/mpc/signers

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent instance resource name where the participant will be created. Format: projects/{project}/locations/{location}/instances/{instance} It takes the form projects/{project}/locations/{location}/instances/{instance}.

Query parameters

Parameters
participantId

string

Required. The ID to use for the participant, provided by the client. This ID will become the final component of the participant's resource name.

Request body

The request body contains an instance of Participant.

Response body

If successful, the response body contains a newly created instance of Participant.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.